---
title: "Check Customer Limits"
canonical_url: "https://docs.stablegate.com/docs/apiref/limits/check-customer-limits"
---
# Check Customer Limits

::api-operation{color="info" endpoint="/v1/customers/{customer_uuid}/check-limits/" method="POST"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Path parameters

::field-group
:field{name="customer_uuid" type="string<uuid>" :required="true"}
::

## Request body

::field-group
::field{name="source" type="object" :required="true"}
::collapsible{name="properties"}
::field-group
::field{name="rail" type="string" :required="true"}
One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

::field{name="asset" type="string" :required="true"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="amount" type="number | string | null"}
::
::
::

::field{name="destination" type="object" :required="true"}
::collapsible{name="properties"}
::field-group
::field{name="rail" type="string" :required="true"}
One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

::field{name="asset" type="string" :required="true"}
One of: `EUR`, `USD`, `AED`, `CHF`, `GBP`, `CAD`, `AUD`, `NZD`, `CNY`, `HKD`, `JPY`, `SGD`, `THB`, `ILS`, `SAR`, `ZAR`, `PLN`, `ETH`, `BTC`, `XLM`, `TRX`, `MYR`, `USDT`, `USDC`, `EURS`, `EURC`
::

:field{name="amount" type="number | string | null"}
::
::
::
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
::field{name="limit_rule" type="object" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string" :required="true"}::field{name="scope" type="string" :required="true"}
One of: `operation`, `period`, `operation_min_amount`
::

::field{name="period" type="string | null"}
One of: `month`, `quarter`, `year`, `day`, `lifetime`
::

:field{name="rail_types" type="string[] | null"}:field{name="rail_codes" type="string[] | null"}:field{name="operation_types" type="string[] | null"}:field{name="asset_codes" type="string[] | null"}
::
::
::

:field{name="limit_amount" type="string" :required="true"}:field{name="used_amount" type="string" :required="true"}:field{name="available_amount" type="string" :required="true"}:field{name="excess_amount" type="string" :required="true"}:field{name="error_msg" type="string"}
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{body="{"source":{"rail":"bitcoin","asset":"EUR","amount":0},"destination":{"rail":"bitcoin","asset":"EUR","amount":0}}" method="POST" path="/v1/customers/CUSTOMER_UUID/check-limits/"}
```bash
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/check-limits/ \
  --request POST \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "source": {
    "rail": "bitcoin",
    "asset": "EUR",
    "amount": 0
  },
  "destination": {
    "rail": "bitcoin",
    "asset": "EUR",
    "amount": 0
  }
}'
```
::

::code-group
```json [200]
[
  {
    "limit_rule": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "scope": "operation",
      "period": "month",
      "rail_types": [
        "bank"
      ],
      "rail_codes": [
        "bitcoin"
      ],
      "operation_types": [
        "funding"
      ],
      "asset_codes": [
        "EUR"
      ]
    },
    "limit_amount": "string",
    "used_amount": "string",
    "available_amount": "string",
    "excess_amount": "string",
    "error_msg": "string"
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
